Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.json
Class JettisonStaxWriter

    java.lang.Object
      com.thoughtworks.xstream.io.xml.AbstractXmlWriter
          com.thoughtworks.xstream.io.xml.StaxWriter
              com.thoughtworks.xstream.io.json.JettisonStaxWriter

All Implemented Interfaces:
  ExtendedHierarchicalStreamWriter, HierarchicalStreamWriter, XmlFriendlyWriter

    public class JettisonStaxWriter

extends StaxWriter

A specialized `StaxWriter` that makes usage of internal functionality of Jettison.

Since:
  1.3.1
Author:
  Jörg Schaible

Constructor Summary
`JettisonStaxWriter(QNameMap qnameMap, javax.xml.stream.XMLStreamWriter out, boolean writeEnclosingDocument, boolean namespaceRepairingMode, org.codehaus.jettison.mapped.MappedNamespaceConvention convention)`
`JettisonStaxWriter(QNameMap qnameMap, javax.xml.stream.XMLStreamWriter out, boolean writeEnclosingDocument, boolean namespaceRepairingMode, XmlFriendlyReplacer replacer, org.codehaus.jettison.mapped.MappedNamespaceConvention convention)`
`JettisonStaxWriter(QNameMap qnameMap, javax.xml.stream.XMLStreamWriter out, org.codehaus.jettison.mapped.MappedNamespaceConvention convention)`

Method Summary
`void` | `startNode(String name, Class clazz)`

Methods inherited from class com.thoughtworks.xstream.io.xml.StaxWriter
`addAttribute, close, endNode, flush, getQNameMap, getXMLStreamWriter, isNamespaceRepairingMode, setValue, startNode`

Methods inherited from class com.thoughtworks.xstream.io.xml.AbstractXmlWriter
`escapeXmlName, underlyingWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettisonStaxWriter

    public JettisonStaxWriter(QNameMap qnameMap,
                              javax.xml.stream.XMLStreamWriter out,
                              boolean writeEnclosingDocument,
                              boolean namespaceRepairingMode,
                              XmlFriendlyReplacer replacer,
                              org.codehaus.jettison.mapped.MappedNamespaceConvention convention)
                       throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

### JettisonStaxWriter

    public JettisonStaxWriter(QNameMap qnameMap,
                              javax.xml.stream.XMLStreamWriter out,
                              boolean writeEnclosingDocument,
                              boolean namespaceRepairingMode,
                              org.codehaus.jettison.mapped.MappedNamespaceConvention convention)
                       throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

### JettisonStaxWriter

    public JettisonStaxWriter(QNameMap qnameMap,
                              javax.xml.stream.XMLStreamWriter out,
                              org.codehaus.jettison.mapped.MappedNamespaceConvention convention)
                       throws javax.xml.stream.XMLStreamException

Throws:
  `javax.xml.stream.XMLStreamException`

Method Detail

### startNode

    public void startNode(String name,
                          Class clazz)

  Specified by:
    `startNode` in interface `ExtendedHierarchicalStreamWriter`
  Overrides:
    `startNode` in class `AbstractXmlWriter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.